<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmDataType Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmDataType Enumeration

Visual Basic
C#
C++/CLI
Data types; used in calls to IEdmData::Type.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmDataType
       Inherits System.Enum

C# |
--- | ---

    public enum EdmDataType : System.Enum

C++/CLI |
--- | ---

    public enum class EdmDataType : public System.Enum

# Members

Member | Description
--- | ---
EdmData_File | 1 = File
EdmData_Folder | 2 = Folder
EdmData_Link | 4 = Link
EdmData_Nothing | 0 = No data
EdmData_Variable | 3 = Variable

# See Also

####

EPDM.Interop.epdm Namespace
IEdmData Interface
IEdmTemplate53::RunEx Method